<VERTEX_SHADER name="vs_main">
<Code>
uniform mat4 g_mWVP;  

attribute vec4 a_Position;
attribute vec4 a_Color; 
attribute vec2 a_UV1;

varying float v_alpha; 
varying vec2 v_uv;

void main()
{
	gl_Position = g_mWVP * a_Position;
	v_alpha = a_Color.a;
	v_uv = a_UV1;
}
</Code>
</VERTEX_SHADER> 

<PIXEL_SHADER name="ps_main">   	                                    
<Code>
#ifdef GL_ES
precision mediump float;
#endif

uniform sampler2D g_texture0;
uniform sampler2D g_texture1;

varying float v_alpha;
varying vec2 v_uv;
                    
void main()
{
	vec4 source1 = texture2D(g_texture1, v_uv);
	vec4 source2 = texture2D(g_texture0, v_uv);

	gl_FragColor =  source1 * v_alpha + 
					source2 * (1.0 - v_alpha);
}
</Code>
</PIXEL_SHADER>
