<VERTEX_SHADER name="vs_main">
<Code>
uniform mat4 g_mWVP;  
uniform float g_offsetU;
uniform float g_headX;

attribute vec4 a_Position;
attribute vec4 a_Color; 
attribute vec2 a_UV1;

varying vec4 v_color; 
varying vec2 v_uv;

void main()
{
	vec4 vTransformedPos = vec4(a_Position);
	float fDist = clamp(vTransformedPos.x - g_headX + 1000.0, 0.0, 1000.0);
	float fRatio = fDist / 1000.0;
	fRatio *= fRatio;
	fRatio *= fRatio;
	vTransformedPos.y += fRatio * 512.0;
	
	gl_Position = g_mWVP * vTransformedPos;
	v_color = a_Color;
	v_uv = a_UV1;
	v_uv.x -= g_offsetU;
}
</Code>
</VERTEX_SHADER> 

<PIXEL_SHADER name="ps_main">   	                                    
<Code>
#ifdef GL_ES
precision mediump float;
#endif

uniform sampler2D g_texture0;

varying vec4 v_color;
varying vec2 v_uv;
                    
void main()
{
	gl_FragColor = texture2D(g_texture0, v_uv) * v_color;
}
</Code>
</PIXEL_SHADER>
