<VERTEX_SHADER name="vs_main">
<Code>
uniform mat4 g_mWVP;  

attribute vec4 a_Position;
attribute vec2 a_UV1;

varying vec2 v_uv;

void main()
{
	gl_Position = g_mWVP * a_Position;
	v_uv = a_UV1;
}
</Code>
</VERTEX_SHADER> 

<PIXEL_SHADER name="ps_main">
<Code>   
#ifdef GL_ES
precision mediump float;
#endif
	                                    
uniform sampler2D g_texture0;
uniform float g_fFade;
uniform float g_fBoarderPosX;
uniform float g_fBoarderPosY;

varying vec2 v_uv;
                    
void main()
{
	vec2 scale = vec2(0.012, 0.012);
	vec4 source = texture2D(g_texture0, v_uv);
	vec4 sum = vec4(0, 0, 0, 0);
	vec2 offset = vec2(0, 0);
	
	vec2 boarderPos = vec2(g_fBoarderPosX, g_fBoarderPosY);
	vec2 dir = v_uv - boarderPos;
	float len = length(dir) * 2.0;

	int count = 0;
	float intensity = 1;
	for (int i = -5; i <= 5; ++i)
	{
		intensity = 0.5 + (0.5 - (abs(i) / 10.0));
		offset = dir * scale * (i);
		sum += texture2D(g_texture0, v_uv + offset) * (len * intensity);
		offset = dir * scale * (i * -1);
		sum += texture2D(g_texture0, v_uv + offset) * (len * intensity);

		count++;
	}

	vec4 final = source + (sum / (count * 1.75));

	gl_FragColor = g_fFade*final + (1.0-g_fFade)*source;
}
</Code>
</PIXEL_SHADER>