<VERTEX_SHADER name="vs_main">
<Code>
uniform mat4 g_mWVP;  

attribute vec4 a_Position;
attribute vec2 a_UV1;

varying vec2 v_uv;

void main()
{
	gl_Position = g_mWVP * a_Position;
	v_uv = a_UV1;
}
</Code>
</VERTEX_SHADER> 

<PIXEL_SHADER name="ps_main">
<Code>   
#ifdef GL_ES
precision mediump float;
#endif
	                                    
uniform sampler2D g_texture0;

varying vec2 v_uv;
                    
void main()
{
    vec4 source = texture2D(g_texture0, v_uv);
	vec2 dir = v_uv - vec2(0.33, 0.5);
	vec2 offset = vec2(dir.x * 0.009, dir.y * 0.009);

    vec3 sum = texture2D(g_texture0, v_uv + offset).xyz;
    sum += texture2D(g_texture0, v_uv - offset).xyz;

	gl_FragColor.xyz = source.xyz * 0.5 + (sum * 0.25);
	gl_FragColor.w = source.w;
}
</Code>
</PIXEL_SHADER>