float4x4 	g_mWVP;
sampler2D 	g_texture0;
float		g_offsetU;
float		g_headX;
float		g_time;

struct VS_IN
{
	float3 a_Position 	: POSITION;
	float2 a_UV1 		: TEXCOORD0;
	float4 a_Color 		: COLOR0;
};

struct VS_OUTPUT
{
    float4 v_position   	: POSITION;   // vertex position 
	float2 v_uv 			: TEXCOORD0;
	float4 v_color   		: TEXCOORD1;
};

VS_OUTPUT vs_main( VS_IN In )
{
    VS_OUTPUT Output;
   
	float4 vTransformedPos = float4(In.a_Position, 1.0);
	float fDist = clamp(vTransformedPos.x - g_headX + 1000.0, 0.0, 1000.0);
	float fRatio = fDist / 1000.0;
	fRatio *= fRatio;
	fRatio *= fRatio;
	vTransformedPos.y += fRatio * 512.0f;
	
	Output.v_position = mul(vTransformedPos, g_mWVP);
    Output.v_color = In.a_Color;
	Output.v_uv = In.a_UV1;
	Output.v_uv.x -= g_offsetU;
	
    return Output;    
}


float4 ps_main( VS_OUTPUT In ) : COLOR
{ 
    return tex2D(g_texture0, In.v_uv) * In.v_color;
}
technique technique_main
{
    pass P0
    {          
        VertexShader = compile vs_2_0 vs_main();
        PixelShader  = compile ps_2_0 ps_main(); 
    }
}

