float4x4 g_mWVP;
sampler2D g_texture0;
float g_fFade;
float g_fBoarderPosX;
float g_fBoarderPosY;

struct VS_IN
{
	float4 a_Position 	: POSITION;
	float2 a_UV1 		: TEXCOORD0;
	float4 a_Color 		: COLOR0;
};

struct VS_OUTPUT
{
	float4 v_position   	: POSITION;   // vertex position 
	float2 v_uv 			: TEXCOORD0;
};

VS_OUTPUT vs_main( VS_IN In )
{
	VS_OUTPUT Output;

	Output.v_position = mul(In.a_Position, g_mWVP);
	Output.v_uv = In.a_UV1;

	return Output;    
}


float4 ps_main(VS_OUTPUT In) : COLOR
{
	float2 scale = float2(0.002, 0.002);
	float4 source = tex2D(g_texture0, In.v_uv);
	float4 sum = float4(0, 0, 0, 0);
	float2 offset = float2(0, 0);
	
	float2 boarderPos = float2(g_fBoarderPosX, g_fBoarderPosY);
	float2 dir = In.v_uv - boarderPos;
	float len = length(dir) * 2.0f;

	int count = 0;
	float intensity = 1;
	for (int i = -5; i <= 5; ++i)
	{
		intensity = 0.5 + (0.5 - (abs(i) / 10.0));
		offset = dir * scale * (i);
		sum += tex2D(g_texture0, In.v_uv + offset) * (len * intensity);
		offset = dir * scale * (i * -1);
		sum += tex2D(g_texture0, In.v_uv + offset) * (len * intensity);

		count++;
	}

	float4 final = ((source * 0.25) + ((sum / count) * 0.75));

	return g_fFade*final + (1.0-g_fFade)*source;
}