<VERTEX_SHADER name="vs_main">
<Include>OOI_Shader_Config.fxh</Include>
<Code>
uniform mat4 g_mWVP;
uniform mat4 g_mWorld;

attribute vec4 a_Position;
attribute vec4 a_Color;
attribute vec3 a_Normal;
attribute vec2 a_UV1;
attribute vec3 a_Tangent;

varying vec4 v_color;
varying vec2 v_uv;
varying lowp vec3 v_nrmWS;
varying lowp vec3 v_tangentWS;
varying vec3 v_positionWS;

void main()
{
    gl_Position = g_mWVP * a_Position;
    v_color = a_Color;
    v_uv = a_UV1 * 20.0;
    mat3 mWorldRot = mat3(g_mWorld[0].xyz, g_mWorld[1].xyz, g_mWorld[2].xyz);
    v_nrmWS = normalize(mWorldRot * a_Normal);  //Should be skinnned, but just for simplicity...
    v_tangentWS = normalize(mWorldRot * a_Tangent);
    v_positionWS = (g_mWorld * a_Position).xyz;
}
</Code>
</VERTEX_SHADER>


<PIXEL_SHADER name="ps_main">
<Include>OOI_Shader_Config.fxh</Include>
<Include>lighting.fxh</Include>
<Code>
#ifdef GL_ES
precision mediump float;
#endif

uniform int g_iShowType;
uniform sampler2D g_texDiffuse;
uniform sampler2D g_texNormal;
varying vec4 v_color;
varying vec2 v_uv;
varying lowp vec3 v_nrmWS;
varying lowp vec3 v_tangentWS;
varying vec3 v_positionWS;

void main()
{

	//if(g_iShowType == 1)
	//	gl_FragColor = vec4(v_uv, 0, 1);
	//else if(g_iShowType == 2)
	//	gl_FragColor = v_color;
	//else
       //gl_FragColor =  vec4(v_uv, 0, 1);
	vec4 vDiffuse = texture2D(g_texDiffuse, v_uv);	//In.v_color;//
	vec3 vPixNrm = texture2D(g_texNormal, v_uv).xyz * 2.0 - 1.0;
	vec3 vNormalWS = normalize(v_nrmWS);
	vec3 vTangentWS = normalize(v_tangentWS);
	vec3 vBitangentWS = cross(vNormalWS, vTangentWS);
	mat3 matTangent = mat3(vTangentWS, vBitangentWS, vNormalWS);
	vPixNrm = matTangent * vPixNrm;


	//gl_FragColor = vec4(v_tangentWS, 1);

	//gl_FragColor = vec4(vPixNrm, 1.0);


	vec3 V = normalize(g_vCameraPos - v_positionWS);
	float3 N = vPixNrm;
	float3 L = -DLDIR( 0 );
	float3 H = normalize( V + L );
	gl_FragColor = vec4( BlinnPhong( N, L, H, DLCOLOR( 0 ),
		vDiffuse.rgb, float3(0.5,0.5,0.5), 20.0 ), 1.0 );

/*
	gl_FragColor = float4( Lighting(
		v_positionWS,
		vPixNrm,
		vDiffuse.rgb,
		float3(0.5,0.5,0.5),//g_vSpecularAlbedo,
		20.0), vDiffuse.a);
*/
	//gl_FragColor = float4( v_positionWS / 10.0, 1.0 );
	//gl_FragColor = g_iNumDirLights > 0 ? float4(1.0, 1.0, 1.0, 1.0) : float4(1.0, 0.0, 0.0, 1.0);
	//gl_FragColor = float4(DLCOLOR(0), float(g_iNumDirLights));
}
</Code>
</PIXEL_SHADER>