<VERTEX_SHADER name="vs_main">
<Code>
uniform mat4 g_mWVP;  
uniform float g_fTime;
uniform vec2 g_vScrollSpeed;

attribute vec4 a_Position;
attribute vec4 a_Color; 
attribute vec2 a_UV1;

varying vec4 v_color; 
varying vec2 v_uv;

void main()
{
	gl_Position = g_mWVP * a_Position;
	v_color = a_Color;
	v_uv = a_UV1 + g_vScrollSpeed * g_fTime;
}
</Code>
</VERTEX_SHADER> 

<PIXEL_SHADER name="ps_main">   	                                    
<Code>
#ifdef GL_ES
precision mediump float;
#endif

uniform sampler2D g_texture0;

varying vec4 v_color;
varying vec2 v_uv;
                    
void main()
{
	vec4 test = texture2D(g_texture0, v_uv) * v_color;
	float mag = (test.r + test.g + test.b) / 3.0;
	gl_FragColor.r = mag;
	gl_FragColor.g = mag;
	gl_FragColor.b = mag;
	gl_FragColor.a = test.a;
}
</Code>
</PIXEL_SHADER>