<VERTEX_SHADER name="vs_main">
<Code>
attribute vec4 a_Position;
attribute vec2 a_UV1;
attribute vec2 a_BoneIndices;
attribute vec2 a_BoneWeight;
uniform mat4 g_mWVP;
uniform mat4 u_SkinningMatrix[50];
varying vec2 v_uv;
void main()
{
	vec4 p1 = u_SkinningMatrix[int(a_BoneIndices.x)] * a_Position;
	vec4 p2 = u_SkinningMatrix[int(a_BoneIndices.y)] * a_Position;
  float weight1 = a_BoneWeight.x;
  float weight2 = 1.0-weight1;
	vec4 p = p1 * weight1 + p2 * weight2;
	gl_Position = g_mWVP * p;
	v_uv = a_UV1;
}
</Code>
</VERTEX_SHADER> 
<PIXEL_SHADER name="ps_main">
<Code>
#ifdef GL_ES
precision mediump float;
#endif

uniform sampler2D g_texture0;
varying vec2 v_uv;
void main()
{
	gl_FragColor = texture2D(g_texture0, v_uv);
}
</Code>
</PIXEL_SHADER>