float4x4 	g_mWVP;
sampler2D g_texture0;

struct VS_IN
{
	float4 a_Position 	: POSITION;
	float2 a_UV1 		: TEXCOORD0;
	float4 a_Color 		: COLOR0;
};

struct VS_OUTPUT
{
    float4 v_position   	: POSITION;   // vertex position 
	float2 v_uv 			: TEXCOORD0;
};

VS_OUTPUT vs_main( VS_IN In )
{
    VS_OUTPUT Output;
   
	Output.v_position = mul(In.a_Position, g_mWVP);
    Output.v_uv = In.a_UV1;
	
    return Output;    
}


float4 ps_main( VS_OUTPUT In ) : COLOR
{ 
    return tex2D(g_texture0, In.v_uv);
}
