#include "lighting.fxh"

DefinePerInstanceCB
{
	float4 		g_vDiffuse;
	float3 		g_vSpecularAlbedo;
	float		g_fSpecularPower;
};

struct VS_IN
{
	float4 a_Position 	: POSITION;
	float3 a_Normal : NORMAL0;
};

struct VS_OUTPUT
{
    float4 v_position   	: SV_Position;   // vertex position 
	float3 v_positionWS 	: TEXCOORD0;
	float3 v_normalWS		: TEXCOORD1;
};

VS_OUTPUT vs_main( VS_IN In )
{
    VS_OUTPUT Output;
   
	Output.v_position = mul(In.a_Position, g_mWVP);
	
	Output.v_positionWS = mul( In.a_Position, g_mWorld ).xyz;
	Output.v_normalWS = mul( In.a_Normal, (float3x3)g_mWorld );
	
    return Output;    
}

float4 ps_main(VS_OUTPUT In) : SV_Target0
{ 
    //return float4(1,1,1,1);

	return float4( Lighting(
		In.v_positionWS,
		normalize(In.v_normalWS),
		g_vDiffuse.rgb,
		g_vSpecularAlbedo,
		g_fSpecularPower), g_vDiffuse.a);

//	return float4(abs(DLDIR(0)), 1);
//	return float4(In.v_positionWS, 1);
}