#include "SharkCommonDX11.fxh"

Texture2D g_texture0;

struct VS_IN
{
	float4 position : POSITION;
	float3 normal   : NORMAL;
	float4 blendIdx : BLENDINDICES;
	float4 blendWgt : BLENDWEIGHT;
	float2 m_UV1	: TEXCOORD0;
};

struct VS_OUTPUT
{
    float4 m_vPosition   	: SV_Position;   // vertex position 
	float2 m_UV 			: TEXCOORD0;
};

VS_OUTPUT vs_main(const VS_IN In)
{
    VS_OUTPUT Output;

	float3 blendPos = float3(0,0,0);
	int i;
	float weight = In.blendWgt[0];
	blendPos += mul(In.position, u_SkinningMatrix[In.blendIdx[0]]) * weight;
	
	if (weight < 1.0)
	{
		weight = 1.0-weight;
		blendPos += mul(In.position, u_SkinningMatrix[In.blendIdx[1]]) * weight;
	}
/*
	// transform normal
	float3 norm = float3(0,0,0);
	for (i = 0; i < 2; ++i)
	{
		norm += mul((float3x3)u_SkinningMatrix[In.blendIdx[i]], In.normal) * In.blendWgt[i];
	}
	norm = normalize(norm);
*/
    Output.m_vPosition = mul(float4(blendPos,1), g_mWVP);
    Output.m_UV = In.m_UV1;

    return Output;
}

float4 ps_main(VS_OUTPUT In) : SV_Target0
{ 
    return g_texture0.Sample(SamplerBilinearClamp, In.m_UV);
}