float4x4 	g_mWVP;
texture 	g_texture0;

sampler2D ColorSampler = sampler_state 
{
    Texture = <g_texture0>;
};

struct VS_IN
{
	float4 a_Position 	: POSITION;
	float4 a_Color 		: COLOR0;
	float  a_PointSize	: PSIZE0;
};

struct VS_OUTPUT
{
    float4 v_position   	: POSITION;   // vertex position 
	float4 v_color   		: COLOR0;
	float  v_size			: PSIZE0;
};

VS_OUTPUT RenderSceneVS( VS_IN In )
{
    VS_OUTPUT Output;
   
	Output.v_position = mul(In.a_Position, g_mWVP);
    Output.v_color = In.a_Color;
	Output.v_size = In.a_PointSize;
	
    return Output;    
}

struct PS_IN
{
	float4 v_color  : COLOR0;
	float2 v_uv 	: TEXCOORD0;
};

float4 RenderScenePS( PS_IN In ) : COLOR
{ 
    return tex2D(ColorSampler,In.v_uv) * In.v_color;
}
technique technique_main
{
    pass P0
    {          
        VertexShader = compile vs_2_0 RenderSceneVS();
        PixelShader  = compile ps_2_0 RenderScenePS(); 
    }
}

