float4x4 	g_mWVP;

struct VS_IN
{
	float4 a_Position 	: POSITION;
	float2 a_UV1 		: TEXCOORD0;
	float4 a_Color 		: COLOR0;
};

struct VS_OUTPUT
{
    float4 v_position   	: POSITION;   // vertex position 
	float4 v_color   		: COLOR0;
};

VS_OUTPUT vs_main( VS_IN In )
{
    VS_OUTPUT Output;
   
	Output.v_position = mul(In.a_Position, g_mWVP);
    Output.v_color = In.a_Color;
	
    return Output;    
}

float4 ps_main( VS_OUTPUT In ) : COLOR
{ 
    return In.v_color;
}

technique technique_main
{
    pass P0
    {          
        VertexShader = compile vs_2_0 vs_main();
        PixelShader  = compile ps_2_0 ps_main(); 
    }
}