#include "SharkCommonDX11.fxh"

Texture2D 	g_texture0;

struct VS_IN
{
	float3 a_Position 	: POSITION;
	float2 a_UV1 		: TEXCOORD0;
	float4 a_Color 		: COLOR0;
};

struct VS_OUTPUT
{
    float4 v_position   	: SV_Position;   // vertex position 
	float2 v_uv 			: TEXCOORD0;
	float4 v_color   		: TEXCOORD1;
};

VS_OUTPUT vs_main( VS_IN In )
{
    VS_OUTPUT Output;
   
	Output.v_position = mul(float4(In.a_Position,1.0), g_mWVP);
    Output.v_color = In.a_Color;
	Output.v_uv = In.a_UV1;
	
    return Output;    
}


float4 ps_main( VS_OUTPUT In ) : SV_Target0
{ 
    return g_texture0.Sample(SamplerBilinearClamp, In.v_uv) * In.v_color;
}